__gnu_cxx::__mt_alloc_base< _Tp > Class Template Reference
Inheritance diagram for __gnu_cxx::__mt_alloc_base< _Tp >:
[legend]

## Public Types

typedef ptrdiff_t | difference_type
typedef _Tp * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef _Tp & | reference
typedef size_t | size_type
typedef _Tp | value_type

## Public Member Functions

const_pointer | address (const_reference __x) const noexcept
pointer | address (reference __x) const noexcept
template<typename _Up , typename... _Args>
void | construct (_Up *__p, _Args &&... __args)
template<typename _Up >
void | destroy (_Up *__p)
size_type | max_size () const noexcept

## Public Attributes

const typedef _Tp * | const_pointer
const typedef _Tp & | const_reference

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::__mt_alloc_base< _Tp >

Base class for _Tp dependent member functions.

Definition at line 570 of file mt_allocator.h.

The documentation for this class was generated from the following file:

- mt_allocator.h